[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Processor< RegressionTag, LabelType, T1, C1, T2, C2 > Class Template Reference |

`#include <vigra/random_forest/rf_preprocessing.hxx>`

## Public Member Functions

MultiArrayView< 2, T1, C1 > & | features ()
MultiArrayView< 2, T2, C2 > & | response ()
MultiArray< 2, int > & | strata ()

## Detailed Description

### template<class LabelType, class T1, class C1, class T2, class C2>
class vigra::Processor< RegressionTag, LabelType, T1, C1, T2, C2 >

Regression Preprocessor - This basically does not do anything with the data.

## Member Function Documentation

## ◆ features()

MultiArrayView<2, T1, C1>& features | ( |  | ) |

access preprocessed features

## ◆ response()

MultiArrayView<2, T2, C2>& response | ( |  | ) |

access preprocessed response

## ◆ strata()

MultiArray<2, int>& strata | ( |  | ) |

access strata - this is not used currently

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_preprocessing.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0